﻿body {
    font-family: "BangkokBank-Regular", Tahoma, Helvetica, Arial, sans-serif;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.flagbbl2 {
    font-family: BangkokBank-Regular, Tahoma, Helvetica, Arial, sans-serif !important;
    color: #78787d;
    font-weight: 500;
    font-size: 14px;
}

.bkb {
    margin-top: 10px;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#LB_total {
    /*    margin-left: 20px;*/
}

@font-face {
    font-family: BangkokBank-Black;
    src: url(../../fonts/BBLSans-regular.eot);
    src: url(../../fonts/BBLSans-regular.woff) format("woff"),url(../../fonts/BBLSans-regular.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Regular;
    src: url(../../fonts/BBLSans-regular.eot);
    src: url(../../fonts/BBLSans-regular.woff) format("woff"),url(../../fonts/BBLSans-regular.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Medium;
    src: url(../../fonts/bblsans-medium.eot);
    src: url(../../fonts/BBLSans-medium.woff) format("woff"),url(../../fonts/BBLSans-medium.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Light;
    src: url(../../fonts/BBLSans-Light.eot);
    src: url(../../fonts/BBLSans-Light.woff) format("woff"),url(../../fonts/BBLSans-Light.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Bold;
    src: url(../../fonts/BBLSans-bold.eot);
    src: url(../../fonts/BBLSans-bold.woff) format("woff"),url(../../fonts/BBLSans-bold.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank_Text-Regular;
    src: url(../../fonts/BBLSans_looped-Regular.eot);
    src: url(../../../fonts/BBLSans_looped-Regular.woff) format("woff"),url(../../fonts/BBLSans_looped-Regular.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank_Text-Medium;
    src: url(../../fonts/BBLSans_looped-medium.eot);
    src: url(../../fonts/BBLSans_looped-medium.woff) format("woff"),url(../../fonts/BBLSans_looped-medium.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank_Text-Bold;
    src: url(../../fonts/BBLSans_looped-Bold.eot);
    src: url(../../fonts/BBLSans_looped-Bold.woff) format("woff"),url(../../fonts/BBLSans_looped-Bold.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Regular-Italic;
    src: url(../../fonts/BBLSans-RegularItalic.eot);
    src: url(../../fonts/BBLSans-RegularItalic.woff) format("woff"),url(../../fonts/BBLSans-RegularItalic.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: BangkokBank-Bold-Italic;
    src: url(../../fonts/BBLSans-BoldItalic.eot);
    src: url(../../fonts/BBLSans-BoldItalic.woff) format("woff"),url(../../fonts/BBLSans-BoldItalic.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: Muli-Regular;
    src: url(../../fonts/BBLSans-regular.eot);
    src: url(../../fonts/BBLSans-regular.woff) format("woff"),url(../../fonts/BBLSans-regular.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: Muli-Light;
    src: url(../../fonts/BBLSans-Regular.eot);
    src: url(../../fonts/BBLSans-Regular.woff) format("woff"),url(../../fonts/BBLSans-Regular.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: Muli-Bold;
    src: url(../../fonts/BBLSans-bold.eot);
    src: url(../../fonts/BBLSans-bold.woff) format("woff"),url(../../fonts/BBLSans-bold.woff2) format("woff2");
    font-style: normal
}

@font-face {
    font-family: icomoon;
    src: url(../../fonts/icomoon.woff) format("woff");
    font-weight: 300;
    font-style: normal
}

h1,
h2,
h3,
h4,
h5,
h6 {
    text-transform: uppercase;
    font-family: BangkokBank-Medium, Tahoma, Helvetica, Arial, sans-serif;
    font-weight: 500;
    letter-spacing: 1px;
}

p {
    font-size: 1.25em;
    font-weight: bold;
    line-height: 1.6;
    color: #000;
}

hr {
    max-width: 400px;
    border-color: #999999;
}

.brand,
.address-bar {
    display: none;
}

.navbar-brand {
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 2px;
}

.navbar-nav {
    text-transform: uppercase;
    font-weight: 400;
    letter-spacing: 3px;
}

.img-full {
    min-width: 100%;
}

.brand-before,
.brand-name {
    text-transform: capitalize;
}

.brand-before {
    margin: 15px 0;
}

.brand-name {
    margin: 0;
    font-size: 2em;
}

.tagline-divider {
    margin: 15px auto 3px;
    max-width: 250px;
    border-color: #999999;
}

/*.box {
    margin-top: -30px;
    margin-bottom: 20px;
    border-radius: 6px;
    padding: 30px 15px;
    background: #fff;
}*/

.box {
    margin-top: -30px;
    margin-bottom: 20px;
    border-radius: 6px;
    padding: 30px 0px;
    background: #fff;
}

.box2 {
    margin-top: -30px;
    margin-bottom: -40px;
    border-radius: 6px;
    padding: 30px 30px;
    background: #fff;
    /*    background: rgba(255,255,255,0.9);*/
}

.intro-text {
    text-transform: uppercase;
    font-size: 1.25em;
    font-weight: 400;
    letter-spacing: 1px;
}

.img-border {
    float: none;
    margin: 0 auto 0;
    border: #999999 solid 1px;
}

.img-left {
    float: none;
    margin: 0 auto 0;
}

footer {
    background: #fff;
    background: rgba(255,255,255,0.9);
}

    footer p {
        margin: -10px 0 0 0;
        padding: 20px 0;
    }





@media screen and (min-width:768px) {
    .brand {
        display: inherit;
        margin: 0;
        padding: 30px 0 10px;
        text-align: center;
        text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
        font-family: "BangkokBank-Regular", Tahoma, Helvetica, Arial, sans-serif;
        font-size: 5em;
        font-weight: 700;
        line-height: normal;
        color: #fff;
    }

    .top-divider {
        margin-top: 0;
    }

    .img-left {
        float: left;
        margin-right: 25px;
    }

    .address-bar {
        display: inherit;
        margin: 0;
        padding: 0 0 40px;
        text-align: center;
        text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
        text-transform: uppercase;
        font-size: 1.25em;
        font-weight: 400;
        letter-spacing: 3px;
        color: #fff;
    }

    .navbar {
        border-radius: 0;
        min-height: 0;
    }

    .navbar-default {
        border: none;
        background: #fff;
        background: rgba(255,255,255,0.9);
    }

    .nav > li > a {
        padding: 35px;
    }

    .navbar-nav > li > a {
        line-height: normal;
    }

    .navbar-nav {
        display: table;
        float: none;
        margin: 0 auto;
        table-layout: fixed;
        font-size: 1.25em;
    }
}

@media screen and (min-width:1200px) {
    .box:after {
        content: '';
        display: table;
        clear: both;
    }
}

.loader-container {
    display: flex;
    align-items: center; /* ¨Ñ´µÓáË¹è§ loader µÃ§¡ÅÒ§ã¹á¹ÇµÑé§ */
    justify-content: center; /* ¨Ñ´µÓáË¹è§ loader µÃ§¡ÅÒ§ã¹á¹Ç¹Í¹ */
}

.loader {
    margin: 0 0 20px 0;
    width: 50px;
    display: none;
    padding: 8px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #25b09b;
    --_m: conic-gradient(#0000 10%,#000), linear-gradient(#000 0 0) content-box;
    -webkit-mask: var(--_m);
    mask: var(--_m);
    -webkit-mask-composite: source-out;
    mask-composite: subtract;
    animation: l3 1s infinite linear;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

    .loader.show {
        opacity: 1;
    }

@keyframes l3 {
    to {
        transform: rotate(1turn)
    }
}



/*new bbl design*/

.bblbankqricon {
    width: 37px;
    /*    height: 32px;*/
    margin-right: 8px;
}

.bblicon {
    width: 100%;
    height: auto;
    max-width: 60px;
    /*    max-height: 200px;*/
    margin-top: -20px;
    /*    display: block;
    object-fit: contain;*/
}

.bblicon2 {
    width: 100%;
    height: auto;
    max-width: 200px;
    max-height: 200px;
    margin-top: -50px;
}

.bblaligntext {
    text-align: center;
}

@media (max-width: 1024px) {
    .bblaligntext {
        text-align: center;
    }
}

/* Mobile Screen */
@media (min-width: 481px) and (max-width: 525px) {
    .bblicon {
        margin-left: 8px !important;
    }



    /*    #index-page .flag-z {
        margin-right: -4px !important;
        margin-top: -3px !important;
    }*/

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }

    @media only screen and (min-width: 451px) and (max-width: 550px) {
        #index-page .flag-z {
            margin-right: 48px !important;
            margin-top: -1px !important;
        }
    }

    body {
        padding: 2.7% 0% !important;
    }
}

@media (max-width: 768px) {
    .bblaligntext {
        text-align: left;
    }

    .bblicon {
        width: 100%;
        /*        height: 46px;
        max-width: 35px;*/
        height: 100%;
        max-width: 46px;
        margin-top: -40px !important;
        display: block;
        object-fit: contain; /* Prevent distortion */
        /*            margin-left: 20px;*/
    }

    /*    .container {
        padding-right: 5px !important;
        padding-left: 5px !important;
        margin-right: auto;
        margin-left: auto;
    }*/

    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }


    body {
        margin: 5% !important;
        padding: 2% 0%;
    }
}

hr {
    margin-top: 10px !important;
    margin-bottom: 10px !important;
    border: 0;
    border-top: 1px solid #eee;
}

@media (min-width: 320px) and (max-width: 329px) {
    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }



    .bblicon {
        width: 100%;
        max-width: 35px;
        height: 46px;
        margin-top: -18px !important;
        margin-left: 7px;
        display: block;
        object-fit: contain;
    }

    .mtbkb-2 {
        margin-top: 10px !important;
        margin-left: -5px !important;
    }

    body {
        margin: 5% !important;
        padding: 0% 0%;
    }

    .home_bt_handle {
        /*        margin-top: 80px !important;*/
        /*        position: sticky;
        bottom: 0;*/
    }

    #home_bt {
        margin-left: 6px;
    }

    #QR_Generate {
        margin-left: 7px;
    }

    #LB_head {
        margin-left: 16px;
    }


    .col-lg-12 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
    }

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }
}

@media (min-width: 330px) and (max-width: 360px) {
    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }



    .bblicon {
        width: 100%;
        max-width: 35px;
        height: 46px;
        margin-top: -18px !important;
        margin-left: 7px;
        display: block;
        object-fit: contain;
    }

    .mtbkb-2 {
        margin-top: 10px !important;
        margin-left: -5px !important;
    }

    body {
        margin: 5% !important;
        padding: 0% 0%;
    }

    .home_bt_handle {
        /*        margin-top: 80px !important;*/
        /*        position: sticky;
        bottom: 0;*/
    }

    #home_bt {
        margin-left: 6px;
    }

    #QR_Generate {
        margin-left: 7px;
    }

    #LB_head {
        margin-left: 16px;
    }


    .col-lg-12 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
    }

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }
}

@media (min-width: 361px) and (max-width: 380px) {
    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }



    .bblicon {
        width: 100%;
        max-width: 35px;
        height: 46px;
        margin-top: -18px !important;
        margin-left: 7px;
        display: static;
        object-fit: contain;
    }

    .mtbkb-2 {
        margin-top: 11px !important;
        margin-left: -5px !important;
    }

    body {
        margin: 5% !important;
        padding: 0% 0%;
    }

    .home_bt_handle {
        /*        margin-top: 80px !important;*/
        /*        position: sticky;
        bottom: 0;*/
    }

    #home_bt {
        margin-left: 6px;
    }

    #QR_Generate {
        margin-left: 7px;
    }

    #LB_head {
        margin-left: 16px;
    }


    .col-lg-12 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
    }

    .mtbkb-receipt {
        margin-left: -5px;
        margin-top: -2px;
    }
}

@media (min-width: 381px) and (max-width: 399px) {
    body {
        margin: 0% !important;
        padding: 0% 0%;
        margin: 5% 5% 5% 5% !important;
    }

    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }

    #home_bt {
        margin-left: 7px;
    }

    .bblicon {
        margin-top: -29px !important;
        margin-left: 4px;
    }

    #QR_Generate {
        margin-left: 8px;
    }

    #LB_head {
        margin-left: 26px;
    }

    #index-page .flag-z {
        margin-top: 21px !important;
        margin-right: 5px !important; /* Adjust as needed */
        font-size: 14px;
    }

    .col-lg-12 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
    }

    #receipt-page .flag-z {
        margin-top: 20px !important;
        margin-right: 5px !important; /* Adjust as needed */
        font-size: 14px;
    }

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }

    .mtbkb-2 {
        margin-top: 11px !important;
    }
}

@media (min-width: 400px) and (max-width: 480px) {
    body {
        margin: 0% !important;
        padding: 0% 0%;
        margin: 5% 5% 5% 5% !important;
    }

    .container {
        padding-right: 0px !important;
        padding-left: 0px !important;
        margin-right: auto;
        margin-left: auto;
    }

    #home_bt {
        margin-left: 7px;
    }

    .bblicon {
        margin-top: -18px !important;
        margin-left: 4px;
    }

    #QR_Generate {
        margin-left: 8px;
    }

    #LB_head {
        margin-left: 26px;
    }

    #index-page .flag-z {
        margin-top: 21px !important;
        margin-right: 5px !important; /* Adjust as needed */
        font-size: 14px;
    }

    .col-lg-12 {
        position: relative;
        min-height: 1px;
        padding-right: 10px;
        padding-left: 10px;
    }

    #receipt-page .flag-z {
        margin-top: 20px !important;
        margin-right: 5px !important; /* Adjust as needed */
        font-size: 14px;
    }

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}





/*zin for flag*/

.flag-z {
    float: right;
    clear: right;
    display: block;
    margin-right: 335px;
}



.bbluserdata {
    max-width: 400px;
    font-size: 14px;
}

/* For screens with a width between 280px and 320px */
@media screen and (min-width: 280px) and (max-width: 320px) {

    #index-page .flag-z {
        margin-top: 34px !important;
        margin-right: -1px !important;
    }


    #receipt-page .flag-z {
        margin-top: 33px !important;
        margin-right: -1px !important;
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}

/* For screens with a width between 320px and 360px */
@media screen and (min-width: 321px) and (max-width: 344px) {

    #index-page .flag-z {
        margin-top: 33px !important;
        margin-right: 2px !important; /* Adjust as needed */
    }

    .bbluserdata {
        max-width: 450px;
        font-size: 14px;
    }

    #receipt-page .flag-z {
        margin-top: 33px !important;
        margin-right: -1px !important;
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}

/* For screens with a width between 320px and 360px */
@media screen and (min-width: 345px) and (max-width: 360px) {

    #index-page .flag-z {
        margin-top: 34px !important;
        margin-right: -1px !important;
    }

    .bbluserdata {
        max-width: 450px;
        font-size: 14px;
    }

    #receipt-page .flag-z {
        margin-top: 33px !important;
        margin-right: -1px !important;
    }

    #receipt-page,
    #index-page {
        display: flex;
        justify-content: space-between;
        align-items: center; /* Ensures vertical alignment */
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}

/* For screens with a width between 361px and 380px */
@media screen and (min-width: 361px) and (max-width: 380px) {

    #index-page .flag-z {
        margin-top: 33px !important;
        margin-right: 2px !important; /* Adjust as needed */
    }

    .bbluserdata {
        max-width: 450px;
        font-size: 14px;
    }

    #receipt-page .flag-z {
        margin-top: 32px !important;
        margin-right: 2px !important;
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}



/* For screens with a width up to 768px */
@media screen and (max-width: 768px) {
    #receipt-page .flag-z {
        margin-right: 20px;
    }

    #index-page .flag-z {
        margin-right: 60px;
    }

    .home_bt_handle {
        /*        margin-top: 180px !important;*/
        /*        position: sticky;
        bottom: 0;*/
    }

    .bbluserdata {
        max-width: 450px;
        font-size: 14px;
    }

    #home_bt {
        margin-left: 9px;
    }

    #QR_Generate {
        margin-left: 8px;
    }
}

/* For screens with a width up to 1024px */
@media screen and (min-width: 769px) and (max-width: 1024px) {
    #receipt-page .flag-z {
        margin-right: 85px;
    }

    #index-page .flag-z {
        margin-right: 160px;
    }

    body {
        margin: 5% !important;
        padding: 0% 0%;
    }

    .bbluserdata {
        max-width: 450px;
        font-size: 14px;
    }

    #home_bt {
        margin-left: 8px;
    }

    #QR_Generate {
        margin-left: 8px;
    }
}

@media screen and (min-width: 1025px) and (max-width: 1368px) {
    #receipt-page .flag-z {
        margin-right: 85px;
    }

    #index-page .flag-z {
        margin-right: 270px;
    }

    body {
        margin: 5% !important;
        padding: 0% 0%;
    }

    #home_bt {
        margin-left: 7px;
    }

    #QR_Generate {
        margin-left: 7px;
    }
}

@media screen and (min-width: 1441px) {
    #receipt-page .flag-z {
        margin-right: 532px;
    }

    #index-page .flag-z {
        margin-right: 532px;
        margin-top: 1px;
    }

    #home_bt {
        margin-left: 7px;
    }

    #QR_Generate {
        margin-left: 8px;
    }

    .mtbkb-2 .bblicon {
        margin-top: -17px;
    }

    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}


/* For larger tablets and laptops: width above 1024px */
@media screen and (min-width: 1024px) {
    .flag-z {
        margin-right: 305px;
    }
}




input, button, select, textarea {
    font-family: "BangkokBank-Regular", Tahoma, Helvetica, Arial, sans-serif !important;
    font-size: inherit;
    line-height: inherit;
}




.btn-light {
    color: #000; /* Dark text color */
    background-color: #fff; /* Light gray background */
    border-color: #fff; /* Matches background */
}

    .btn-light:hover {
        color: #0064ff;
        background-color: #fff; /* Slightly darker background on hover */
        border-color: #fff; /* Matches hover background */
    }



.btn-dark {
    color: #ffffff; /* White text color */
    background-color: #000; /* Dark gray background */
    border-color: #000; /* Matches background */
}

    .btn-dark:hover {
        color: #ffffff;
        background-color: #000; /* Slightly darker background on hover */
        border-color: #000; /* Matches hover background */
    }

    .btn-dark:focus, .btn-dark.focus {
        color: #ffffff;
        background-color: #000;
        border-color: #000;
        box-shadow: 0 0 0 0.25rem rgba(52, 58, 64, 0.5); /* Dark focus ring */
    }

/* Remove the border and box-shadow when the button is focused or active */
.btn-light {
    outline: none;
    border: none;
}

    /* Specifically target focus and active states */
    .btn-light:focus,
    .btn-light:active,
    .btn-light:focus-visible {
        outline: none !important; /* Disable focus outline */
        box-shadow: none !important; /* Disable box-shadow */
        border: none !important; /* Remove border */
    }


@media (max-width: 768px) {
    body {
        margin: 5% 5% 5% 5% !important;
        padding: 0% 0% !important;
    }

    .logoflagbbl {
        margin: 0% 5%;
        padding: 2% 0%;
    }
}

@media only screen and (min-width: 451px) and (max-width: 550px) {
    /*    body {
        margin: 5% 5% 5% 5% !important;
        padding: 0% 0% !important;
    }*/
    .logoflagbbl {
        margin: 0% 0%;
        padding: 2% 0%;
        margin-top: 1px;
    }


    .logoflagbbl2 {
        /*        margin: 0% 5%;*/
        padding: 3% 0 0 0%;
    }

    .flag-z {
        position: absolute !important;
        top: 40px !important;
        right: -24px !important;
    }
}



@media only screen and (min-width: 380px) and (max-width: 450px) {
    .logoflagbbl {
        margin: 0% 0%;
        padding: 2% 0%;
        margin-top: 1px;
    }
}



@media screen and (min-width: 2000px) {
    .mtbkb-2 {
        margin-top: -1px;
    }

    #receipt-page .flag-z {
        margin-right: 972px;
    }

    #index-page .flag-z {
        margin-right: 972px;
        margin-top: 1px;
    }



    .flag-z {
        position: absolute !important;
        top: 10px !important;
        right: 20px !important;
    }
}
